Prev Top Next

Name
KXL_PutStretchImage
Synopsis

    KXL_PutStretchImage -- It expands or reduces and an image is drawn.

Description

    void KXL_PutStretchImage(KXL_Image *img, Uint16 width, Uint16 height. Sint16 left, Sint16 top);

Arguments

img | Pointer of KXL_Image structure.
width | Width which draws.
height | Height which draws.
left | Left position which draws.
top | Top position which draws.

Return Value
Nothing.
Exsample

    sample.bmp

    #include <KXL.h>

    int main(void)
    {
      KXL_Image *img;

      KXL_CreateWindow(100, 100, "sample", 0);
      img = KXL_LoadBitmap("sample.bmp", 0);

      KXL_SetDrawColor(0x00, 0x00, 0xff);
      KXL_ClearFrameImm(0, 0, 100, 100);
      KXL_PutStretchImage(img, 100, 100, 0, 0);
      KXL_UpDateImm(0, 0, 100, 100);
      getchar();
      KXL_DeleteImage(img);
      KXL_DeleteWindow();
      return 0;
    }